[SRU] bitcoin to be maintained upstream in PPA: Replace distro archive "bitcoin" bitcoin with an empty dummy package

Bug #1314616 reported by michagogo on 2014-04-30
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bitcoin (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

[Impact]

The Bitcoin utilities are a set of virtual-currency tools. Going forward the upstream maintainers have expressed a wish to maintain 'bitcoin' in a PPA; superseding the version in the main archives. The 'bitcoin' package has already been removed from 'trusty' and blacklisted from synching going forward. This bug report covers earlier versions of Ubuntu, where it is intended to replace the in-archive versions with a dummy package directing users towards the PPA-maintained copy.

See the mailing list discussions at https://lists.ubuntu.com/archives/ubuntu-motu/2013-December/thread.html and https://lists.ubuntu.com/archives/ubuntu-motu/2014-April/thread.html.

In short: old versions of Bitcoin Core (as it is now known) are broken, not up to date on bug fixes, etc.

http://packages.ubuntu.com/search?keywords=bitcoin&searchon=names&suite=all&section=all shows that these old versions of the package are shipped in precise, raring, and saucy. In the past, I'm pretty sure it's also shown version 0.6.something in quantal, but that appears to have disappeared from the search.

My understanding from the ML discussions earlier is that it's impossible to remove a package from the package lists, but it could be replaced with an SRU by a dummy package that explains to the user why it's gone and prompts them to download the software either from the PPA (ppa:bitcoin/bitcoin) or the release binaries from bitcoin.org. This is what I'd like to request be done.

[Test Case]

 * running bitcoind won't even connect to the network nor relay transactions

[Regression Potential]

 * we're removing the package

Related branches

Paul Sladen (sladen) on 2014-05-13
summary: - Replace the package "bitcoin" with an empty dummy package
+ bitcoin to be maintained upstream in PPA: Replace distro archive
+ "bitcoin" bitcoin with an empty dummy package
description: updated

Following need to be done, I'll work on it

    precise (12.04LTS) (utils): peer-to-peer network based anonymous digital currency - daemon [universe]
    0.3.24~dfsg-1: amd64 i386
    raring (13.04) (utils): peer-to-peer network based digital currency - daemon [universe]
    0.8.1-1: amd64 i386
    saucy (13.10) (utils): peer-to-peer network based digital currency - daemon [universe]
    0.8.5-1: amd64 i386

Following the suggestions here:
On Wed, Apr 30, 2014 at 6:52 AM, Robie Basak <email address hidden> wrote:
> On Tue, Apr 29, 2014 at 06:42:06PM -0700, Scott Ritchie wrote:
>> The package should be doable by any Ubuntu Developer since it is just
>> an empty package.
>
> Perhaps add dummy CLI programs and .desktop files, to give the user a
> sensible message rather than an error?

Changed in bitcoin (Ubuntu):
assignee: nobody → Scott Howard (showard314)

What about 12.10? I know it EOLed a couple days ago, but 13.04 EOLed even
earlier, from what I understand, if I'm not mistaken...

On Monday, May 19, 2014, Scott Howard <email address hidden> wrote:

> Following need to be done, I'll work on it
>
> precise (12.04LTS) (utils): peer-to-peer network based anonymous
> digital currency - daemon [universe]
> 0.3.24~dfsg-1: amd64 i386
> raring (13.04) (utils): peer-to-peer network based digital currency -
> daemon [universe]
> 0.8.1-1: amd64 i386
> saucy (13.10) (utils): peer-to-peer network based digital currency -
> daemon [universe]
> 0.8.5-1: amd64 i386
>
>
> Following the suggestions here:
> On Wed, Apr 30, 2014 at 6:52 AM, Robie Basak <<email address hidden><javascript:;>>
> wrote:
> > On Tue, Apr 29, 2014 at 06:42:06PM -0700, Scott Ritchie wrote:
> >> The package should be doable by any Ubuntu Developer since it is just
> >> an empty package.
> >
> > Perhaps add dummy CLI programs and .desktop files, to give the user a
> > sensible message rather than an error?
>
> ** Changed in: bitcoin (Ubuntu)
> Assignee: (unassigned) => Scott Howard (showard314)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1314616
>
> Title:
> bitcoin to be maintained upstream in PPA: Replace distro archive
> "bitcoin" bitcoin with an empty dummy package
>
> Status in “bitcoin” package in Ubuntu:
> New
>
> Bug description:
> The Bitcoin utilities are a set of virtual-currency tools. Going
> forward the upstream maintainers have expressed a wish to maintain
> 'bitcoin' in a PPA; superseding the version in the main archives. The
> 'bitcoin' package has already been removed from 'trusty' and
> blacklisted from synching going forward. This bug report covers
> earlier versions of Ubuntu, where it is intended to replace the in-
> archive versions with a dummy package directing users towards the PPA-
> maintained copy.
>
> See the mailing list discussions at https://lists.ubuntu.com/archives
> /ubuntu-motu/2013-December/thread.html and
> https://lists.ubuntu.com/archives/ubuntu-motu/2014-April/thread.html.
>
> In short: old versions of Bitcoin Core (as it is now known) are
> broken, not up to date on bug fixes, etc.
>
>
> http://packages.ubuntu.com/search?keywords=bitcoin&searchon=names&suite=all&section=all
> shows that these old versions of the package are shipped in precise,
> raring, and saucy. In the past, I'm pretty sure it's also shown
> version 0.6.something in quantal, but that appears to have disappeared
> from the search.
>
> My understanding from the ML discussions earlier is that it's
> impossible to remove a package from the package lists, but it could be
> replaced with an SRU by a dummy package that explains to the user why
> it's gone and prompts them to download the software either from the
> PPA (ppa:bitcoin/bitcoin) or the release binaries from bitcoin.org.
> This is what I'd like to request be done.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/bitcoin/+bug/1314616/+subscriptions
>

Scott Howard (showard314) wrote :

On Mon, May 19, 2014 at 4:12 PM, Micha Bailey <email address hidden> wrote:
> What about 12.10? I know it EOLed a couple days ago, but 13.04 EOLed even
> earlier, from what I understand, if I'm not mistaken...

After I posted that I looked up:
https://wiki.ubuntu.com/Releases

and saw that 12.04 and 13.10 are the only two we can SRU. 13.10 is EOL
in July, but if there is time we can take care of it now (although it
might take 1/2 of the time till july getting it approved)

Merge for precise has been posted. Someone can do saucy if they'd like (needs to add a dummy .desktop file). I'll be busy and might not get to it in time.

description: updated
summary: - bitcoin to be maintained upstream in PPA: Replace distro archive
+ [SRU] bitcoin to be maintained upstream in PPA: Replace distro archive
"bitcoin" bitcoin with an empty dummy package
Changed in bitcoin (Ubuntu):
assignee: Scott Howard (showard314) → nobody
michagogo (michagogo) on 2014-06-08
Changed in bitcoin (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Sponsored to precise SRU review queue, thanks!

Changed in bitcoin (Ubuntu):
status: Confirmed → Invalid
Changed in bitcoin (Ubuntu Precise):
status: New → In Progress

Hello michagogo, or anyone else affected,

Accepted bitcoin into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/bitcoin/0.3.24~dfsg-1ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

no longer affects: bitcoin (Ubuntu Saucy)
Changed in bitcoin (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
michagogo (michagogo) wrote :

Confirmed that upon installation from -proposed bitcoind is not installed, but rather, the error message is displayed.

tags: added: verification-done
removed: verification-needed
michagogo (michagogo) wrote :

(version installed was 0.3.24~dfsg-1ubuntu0.2 -- forgot that in my previous comment)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bitcoin - 0.3.24~dfsg-1ubuntu0.2

---------------
bitcoin (0.3.24~dfsg-1ubuntu0.2) precise-proposed; urgency=low

  * bitcoin is very out of date and has been removed from Ubuntu
    Please see upstream sources at
    https://github.com/bitcoin/bitcoin/ or the PPA at
    https://launchpad.net/~bitcoin/+archive/bitcoin (LP: #1314616)
 -- Scott Howard <email address hidden> Mon, 19 May 2014 13:56:33 -0400

Changed in bitcoin (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for bitcoin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in bitcoin (Ubuntu):
status: Invalid → Fix Released
importance: Undecided → Medium
Changed in bitcoin (Ubuntu Precise):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers